Subject: Re: [PATCH 10/12] iwlwifi: Track scan_cmd allocation size explicitly

From: Kalle Valo <[email-masked]>
Date: Thu, 22 Sep 2022 07:18:51 +0300

Kees Cook <[email-masked]> writes:

> In preparation for reducing the use of ksize(), explicitly track the
> size of scan_cmd allocations. This also allows for noticing if the scan
> size changes unexpectedly. Note that using ksize() was already incorrect
> here, in the sense that ksize() would not match the actual allocation
> size, which would trigger future run-time allocation bounds checking.
> (In other words, memset() may know how large scan_cmd was allocated for,
> but ksize() will return the upper bounds of the actually allocated memory,
> causing a run-time warning about an overflow.)
>
> Cc: Gregory Greenman <[email-masked]>
> Cc: Kalle Valo <[email-masked]>
> Cc: Johannes Berg <[email-masked]>
> Cc: [email-masked]
> Cc: [email-masked]
> Signed-off-by: Kees Cook <[email-masked]>

Via which tree is this iwlwifi patch going? Normally via wireless-next
or something else?

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches